# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/nxp,pcf85063.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP PCF85063 Real Time Clock

maintainers:
  - Alexander Stein <alexander.stein@ew.tq-group.com>

properties:
  compatible:
    enum:
      - microcrystal,rv8063
      - microcrystal,rv8263
      - nxp,pcf85063
      - nxp,pcf85063a
      - nxp,pcf85063tp
      - nxp,pca85073a

  reg:
    maxItems: 1

  "#clock-cells":
    const: 0

  clock-output-names:
    maxItems: 1

  interrupts:
    maxItems: 1

  quartz-load-femtofarads:
    description:
      The capacitive load of the quartz(x-tal).
    enum: [7000, 12500]
    default: 7000

  clock:
    $ref: /schemas/clock/fixed-clock.yaml
    description:
      Provide this if the square wave pin is used as boot-enabled
      fixed clock.

  wakeup-source: true

  spi-cs-high: true

  spi-3wire: true

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#
  - $ref: rtc.yaml#
  - if:
      properties:
        compatible:
          contains:
            enum:
              - microcrystal,rv8063
              - microcrystal,rv8263
    then:
      properties:
        quartz-load-femtofarads: false
  - if:
      properties:
        compatible:
          not:
            contains:
              enum:
                - microcrystal,rv8063
    then:
      properties:
        spi-cs-high: false
        spi-3wire: false

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        rtc@51 {
          compatible = "nxp,pcf85063a";
          reg = <0x51>;
          quartz-load-femtofarads = <12500>;

          clock {
            compatible = "fixed-clock";
            #clock-cells = <0>;
            clock-frequency = <32768>;
          };
        };
      };

  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        rtc@0 {
            compatible = "microcrystal,rv8063";
            reg = <0>;
            spi-cs-high;
            spi-3wire;
        };
    };
